package spec.benchmarks._201_compress;
final class Compress {
    final static int 	BITS = 16;
    final static int 	INIT_BITS = 9;
    final static int 	HSIZE = 69001;
    final static int 	SUFFIX_TAB_SZ = 65536;
    final static int 	STACK_SZ = 8000;
    final static byte[] 	magic_header = { (byte)037,(byte)0235 };
    final static int 	BIT_MASK = 0x1f;
    final static int 	BLOCK_MASK = 0x80;
    final static int 	FIRST = 257;
    final static int 	CLEAR = 256;
    final static byte[] 	lmask = { (byte)0xff,(byte)0xfe,(byte)0xfc,(byte)0xf8,(byte)0xf0,(byte)0xe0,(byte)0xc0,(byte)0x80,(byte)0x00 };
    final static byte[] 	rmask = { (byte)0x00,(byte)0x01,(byte)0x03,(byte)0x07,(byte)0x0f,(byte)0x1f,(byte)0x3f,(byte)0x7f,(byte)0xff };
    public static int 	spec_select_action(byte[] from_buf,int from_count,int action,byte[] to_buf) {
	Input_Buffer 	in = null;
	Output_Buffer 	out = null;
	Compressor 	comp = null;
	Decompressor 	decomp = null;
	in = new Input_Buffer(from_count,from_buf);
	out = new Output_Buffer(to_buf);
// 76 "Compress.jgo"
	if (action == 0) {
	    comp = new Compressor(in,out);
	    comp.compress(null);
	}
	else {
	    decomp = new Decompressor(in,out);
	    decomp.decompress(null);
	}
// 84 "Compress.jgo"
	return (out.count());
    }
}
